<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования валюты.
 * 
 * Файл: /admin/shop/action/add_currency.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */ 
$param = array();
$shop = & singleton('shop');
if (isset($_REQUEST['edit_currency']))
{
	$param['id'] = to_int($_REQUEST['edit_currency']);
}

$param['name'] = to_str($_REQUEST['currency_name']);
$param['shop_currency_order'] = to_int($_REQUEST['shop_currency_order']);
$param['value_in_basic_currency'] = to_float($_REQUEST['currency_value_in_basic_currency']);

/* если валюта по умолчанию, то из checkbox передается значение */
if (isset($_REQUEST['currency_is_default']))
{
	$param['is_default'] = 1;
}
else
{
	$param['is_default'] = 0;
}

/* Интернациональное название валюты. */
$param['currency_international_name'] = to_str($_REQUEST['currency_international_name']);

if ($currency = $shop->InsertCurrency($param))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddCurrency', 'edit_currency', '<?php echo $currency?>');
	</script><?php

	if (isset($param['id'])) 
	{
		show_message($GLOBALS['MSG_shops']['success_update_currency']);
	}
	else 
	{
		show_message($GLOBALS['MSG_shops']['success_add_currency']);
	}
}
else
{
	show_error_message($GLOBALS['MSG_shops']['error_update_currency']);
}

?>